{% extends 'base.html.twig' %}


{% block body %}


    <div class="container">

        <h3 class="my-5"><a href="{{ path('app_newpaint') }}"><i class="icofont-plus-circle"></i>Ajouter peinture</a></h3>
        <table id="table_admin" class="table display">
            <thead>
            <tr>
                <th scope="col">Img</th>
                <th scope="col">Titre</th>
                <th scope="col">Date</th>
                <th scope="col">Catégorie</th>
                <th scope="col">Technique</th>
                <th scope="col">Prix</th>
                <th scope="col">Slider</th>
                <th scope="col"><i class="icofont-ui-edit text-info "></i></th>
                <th scope="col"><i class="icofont-ui-delete text-danger"></i></th>
            </tr>
            </thead>
            <tbody>
            {% for paint in paintings %}
                <tr>
                    <td class="img--admin"><img class="w-100" src="{{ asset('img/painting/' ~ paint.image) }}" alt=""></td>
                    <td><a href="{{ path('adminPaint', {id: paint.id}) }}">{{ paint.title }}</a></td>
                    <td>{{ paint.createdAt|date('d/m/Y') }}</td>
                    <td>{{ paint.category.name }}</td>
                    <td>{{ paint.technical.name }}</td>
                    <td>{{ paint.price|form_encode_currency('EUR') }}€</td>
                    <td>
                        <a href="{{ path("app_admin_slider", {id: paint.id}) }}">
                            {% if paint.isSlider%}
                                <i class="icofont-check-circled text-success"></i>
                            {% else%}
                                <i class="icofont-close-circled text-muted"></i>
                            {% endif %}
                        </a>
                    </td>
                    <td><a href="{{ path('edit', {id: paint.id}) }}"><i class="icofont-ui-edit text-info"></i></a></td>
                    <td><a href="{{ path('delete', {id: paint.id}) }}"><i class="icofont-ui-delete text-danger"></i></a></td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}